org.apache.felix.ipojo.manipulator.metadata.annotation.registry

## Class Selection

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.metadata.annotation.registry.Selection

    public class Selection
    extends Object

A `Selection` is used to select a subset of all supported `AnnotationVisitor`. It's a query DSL.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`Selection(BindingRegistry registry, ComponentWorkbench workbench, Reporter reporter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Selection` `annotatedWith(String desc)`
`Selection` `field(org.objectweb.asm.FieldVisitor visitor, org.objectweb.asm.tree.FieldNode node)`
`org.objectweb.asm.AnnotationVisitor` `get()`
`Selection` `method(org.objectweb.asm.MethodVisitor visitor, org.objectweb.asm.tree.MethodNode node)`
`Selection` `parameter(org.objectweb.asm.MethodVisitor visitor, org.objectweb.asm.tree.MethodNode node, int index)`
`Selection` `type(org.objectweb.asm.ClassVisitor visitor, org.objectweb.asm.tree.ClassNode node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Selection

    public Selection(BindingRegistry registry,
                     ComponentWorkbench workbench,
                     Reporter reporter)

### Method Detail

#### field

    public Selection field(org.objectweb.asm.FieldVisitor visitor,
                           org.objectweb.asm.tree.FieldNode node)

#### method

    public Selection method(org.objectweb.asm.MethodVisitor visitor,
                            org.objectweb.asm.tree.MethodNode node)

#### type

    public Selection type(org.objectweb.asm.ClassVisitor visitor,
                          org.objectweb.asm.tree.ClassNode node)

#### parameter

    public Selection parameter(org.objectweb.asm.MethodVisitor visitor,
                               org.objectweb.asm.tree.MethodNode node,
                               int index)

#### annotatedWith

    public Selection annotatedWith(String desc)

#### get

    public org.objectweb.asm.AnnotationVisitor get()